### Hierarchy

- EventEmitter
  - Domain

### Implements

- Domain

## Index

### Properties

- members
- defaultMaxListeners

### Methods

- add
- addListener
- bind
- emit
- enter
- eventNames
- exit
- getMaxListeners
- intercept
- listenerCount
- listeners
- off
- on
- once
- prependListener
- prependOnceListener
- rawListeners
- remove
- removeAllListeners
- removeListener
- run
- setMaxListeners
- listenerCount

## Properties

### members

members: Array<events.EventEmitter | Timer>

- Defined in node_modules/@types/node/domain.d.ts:10

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### add

- add(emitter: events.EventEmitter | Timer): void

- Implementation of Domain.add

  - Defined in node_modules/@types/node/domain.d.ts:6

  #### Parameters

  - ##### emitter: events.EventEmitter | Timer

  #### Returns void

### addListener

- addListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/events.d.ts:10

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### bind

- bind<T>(cb: T): T

- Implementation of Domain.bind

  - Defined in node_modules/@types/node/domain.d.ts:8

  #### Type parameters

  - #### T: Function

  #### Parameters

  - ##### cb: T

  #### Returns T

### emit

- emit(event: string | symbol, ...args: any[]): boolean

- Implementation of Domain.emit

  Inherited from EventEmitter.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/events.d.ts:22

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### enter

- enter(): void

- - Defined in node_modules/@types/node/domain.d.ts:11

  #### Returns void

### eventNames

- eventNames(): Array<string | symbol>

- Implementation of Domain.eventNames

  Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### exit

- exit(): void

- - Defined in node_modules/@types/node/domain.d.ts:12

  #### Returns void

### getMaxListeners

- getMaxListeners(): number

- Implementation of Domain.getMaxListeners

  Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### intercept

- intercept<T>(cb: T): T

- Implementation of Domain.intercept

  - Defined in node_modules/@types/node/domain.d.ts:9

  #### Type parameters

  - #### T: Function

  #### Parameters

  - ##### cb: T

  #### Returns T

### listenerCount

- listenerCount(type: string | symbol): number

- Implementation of Domain.listenerCount

  Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Implementation of Domain.listeners

  Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string | symbol, listener: function): this

- Inherited from EventEmitter.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/events.d.ts:11

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: string | symbol, listener: function): this

- Inherited from EventEmitter.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/events.d.ts:12

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependListener

- prependListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/events.d.ts:13

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/events.d.ts:14

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Implementation of Domain.rawListeners

  Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### remove

- remove(emitter: events.EventEmitter | Timer): void

- Implementation of Domain.remove

  - Defined in node_modules/@types/node/domain.d.ts:7

  #### Parameters

  - ##### emitter: events.EventEmitter | Timer

  #### Returns void

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/events.d.ts:15

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### run

- run<T>(fn: function, ...args: any[]): T

- - Defined in node_modules/@types/node/domain.d.ts:5

  #### Type parameters

  - #### T

  #### Parameters

  - ##### fn: function

    - - (...args: any[]): T

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns T

  - ##### Rest ...args: any[]

  #### Returns T

### setMaxListeners

- setMaxListeners(n: number): this

- Implementation of Domain.setMaxListeners

  Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc